from setuptools import setup, find_packages
import sys, os

version = '0.1'
 
entry_point = 'slapos.networkcache:install'
entry_points = {"zc.buildout.extension": ["default = %s" % entry_point]}

setup(name='slapos.networkcache',
  version=version,
  description="A zc.buildout extension to extend download API in order to"\
     "use a network cache provider.",
  long_description=open("README.txt").read() + "\n\n" +
    open("CHANGES.txt").read(),
   classifiers=[
      "Development Status :: 4 - Beta",
      "Framework :: Buildout",
      "Intended Audience :: Developers",
      "License :: OSI Approved :: Zope Public License",
      "Programming Language :: Python",
      "Topic :: Software Development :: Build Tools",
      "Topic :: Software Development :: Libraries :: Python Modules",
   ],
  keywords='buildout slapos network cache',
  author='Rafael Monnerat',
  author_email='rafael@nexedi.com',
  license='GPLv3',
  namespace_packages=['slapos'],
  packages=find_packages('src'),
  package_dir={'': 'src'},
  include_package_data=True,
  zip_safe=True,
  install_requires=[
      'setuptools',
      'zc.buildout'
  ],
  entry_points=entry_points,
  )
